#
# spec file for package perl-CPAN-Meta
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Meta
Version:        2.150005
Release:        4.3
%define cpan_name CPAN-Meta
Summary:        The Distribution Metadata for a Cpan Dist
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Meta/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121000
BuildRequires:  perl(CPAN::Meta::YAML) >= 0.008
BuildRequires:  perl(File::Temp) >= 0.20
BuildRequires:  perl(JSON::PP) >= 2.27200
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.4414
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version) >= 0.88
Requires:       perl(CPAN::Meta::Requirements) >= 2.121000
Requires:       perl(CPAN::Meta::YAML) >= 0.008
Requires:       perl(JSON::PP) >= 2.27200
Requires:       perl(Parse::CPAN::Meta) >= 1.4414
Requires:       perl(version) >= 0.88
%{perl_requires}

%description
Software distributions released to the CPAN include a _META.json_ or, for
older distributions, _META.yml_, which describes the distribution, its
contents, and the requirements for building and installing the
distribution. The data structure stored in the _META.json_ file is
described in the CPAN::Meta::Spec manpage.

CPAN::Meta provides a simple class to represent this distribution metadata
(or _distmeta_), along with some helpful methods for interrogating that
data.

The documentation below is only for the methods of the CPAN::Meta object.
For information on the meaning of individual fields, consult the spec.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn LICENSE README Todo

%changelog
* Wed Jul  8 2015 coolo@suse.com
- recompile against perl 5.22
* Sun Jun 14 2015 coolo@suse.com
- updated to 2.150005
  see /usr/share/doc/packages/perl-CPAN-Meta/Changes
  2.150005  2015-06-09 19:08:44-06:00 America/Denver
    [TESTING]
  - Changed some test data from UTF-8 to ASCII
  2.150004  2015-05-19 11:25:53-04:00 America/New_York (TRIAL RELEASE)
    [DOCUMENTED]
  - Noted explicitly that historical META spec files are licensed under
    the same terms as Perl
    [TESTING]
  - Added test for 'x_deprecated' field in "provides"
    [META]
  - declared extra developer prereq
  2.150003  2015-04-21 19:41:15-04:00 America/New_York (TRIAL RELEASE)
    [CHANGED]
  - Serialized CPAN::Meta objects now include a x_serialization_backend
    entry
  2.150002  2015-04-19 01:00:10+02:00 Europe/Berlin (TRIAL RELEASE)
    [CHANGED]
  - Metadata merging now does deep hash merging as long as keys
    don't conflict
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.150001
  see /usr/share/doc/packages/perl-CPAN-Meta/Changes
  2.150001  2015-03-09 14:41:39-04:00 America/New_York
    [DOCUMENTED]
  - Include allowed values for license field in 1.x historic licenses rather
    than linking to Module::Build
  - Documented when fragment merging became available
* Sun Dec 21 2014 lars@linux-schulserver.de
- update to 2.143240
  + Give correct path in nested merges such as resources
  + Removed strings test that should have been removed when
    CPAN::Meta::Requirements was removed to a separate dist
- follow new company name
* Mon Sep 15 2014 coolo@suse.com
- updated to 2.142060
  [ADDED]
  - CPAN::Meta::Merge is a new class for merging two possibly overlapping
    instances of metadata. It will accept both CPAN::Meta objects and
    (possibly incomplete) hashrefs of metadata.
  2.141520  2014-05-31 23:41:13-04:00 America/New_York
  [DOCUMENTED]
  - Clarified use of 'file' for the 'provides' field in the Spec
* Mon May 26 2014 ncutler@suse.com
- updated to 2.141170
  [ADDED]
  - Added ability for CPAN::Meta::Converter to convert metadata fragments
    (incomplete portions of a metadata structure)
  [CHANGED]
  - Optimized internal use of JSON for datastructure cloning
  [FIXED]
  - Removed dependency on List::Util 1.33
  [DOCUMENTED]
  - Clarified language around 'dynamic_config' in the Spec
* Fri Mar  7 2014 coolo@suse.com
- updated to 2.140640
  [FIXED]
  - A change to the default meta-spec URL in 2.140630 from search.cpan.org
    to metacpan.org broke Module::Build and ExtUtils::MakeMaker.  This
    reverts that change.  Also added the missing change note to the prior
    version.
  [CHANGED]
  - Default meta-spec URL points to metacpan.org instead of search.cpan.org
  [ADDED]
  - Added a 'load_string' method that guesses whether the string
    is YAML or JSON
* Thu Feb  6 2014 coolo@suse.com
- really remove perl-CPAN-Meta-use_lib.patch
* Fri Jan 17 2014 lars@linux-schulserver.de
- fix build on SLE11 by using Test::More from vendorlib
* Mon Dec  9 2013 coolo@suse.com
- updated to 2.133380
  [FIXED]
  - Improved bad version handling during META conversion
  - When downgrading multiple licenses to version 1.x META formats, if all
    the licenses are open source, the downgraded license will be
    "open_source", not "unknown"
* Mon Nov 25 2013 coolo@suse.com
- updated to 2.132830
  [ADDED]
  - CPAN::Meta::Prereqs now has a 'merged_requirements' method for
    combining requirements across multiple phases and types
  [FIXED]
  - Invalid 'meta-spec' is no longer a fatal error: instead, it will
    usually be treated as spec version "1.0" (prior to formalization of the
    meta-spec field).  Conversion has some heuristics for guessing a
    version depending on other fields if 'meta-spec' is missing or invalid.
* Fri Oct  4 2013 coolo@suse.com
- updated to 2.132661
  [FIXED]
  - updated Makefile.PL logic to support PERL_NO_HIGHLANDER
  [PREREQS]
  - Dropped ExtUtils::MakeMaker configure_requires dependency
    to 6.17
  [FIXED]
  - Installation on Perls < 5.12 will uninstall older versions installed
    due to being bundled with ExtUtils::MakeMaker
  [CHANGED]
  - META validation used to allow a scalar value when a list (i.e. array
    reference) was required for a field. This has been tightened and
    validation will now fail if a scalar value is given.  Conversion will
    continue to turn scalars into an array reference as it previously did.
  [FIXED]
  - Fixed incorrectly encoded META.yml
- remove outdated perl-CPAN-Meta-use_lib.patch
* Sun Aug  4 2013 coolo@suse.com
- updated to 2.132140
  [DOCUMENTATION]
  - Fixed some typos in CPAN::Meta::Spec
  [OTHER]
  - migrated repository to Perl-Toolchain-Gang organization on Github and
    updated metadata accordingly
* Fri Jun 21 2013 coolo@suse.com
- fix the requirements for CPAN-Requirements
* Tue Jun 11 2013 coolo@suse.com
- updated to 2.131560
  [DOCUMENTATION]
  - Replaced CPAN::Meta SYNOPSIS with code that actually works
  [BUGFIX]
  - Downconversion of custom resources was not dropping the leading "x_".
    Now "x_MailingList" will downconvert correctly to "MailingList".
  [SPEC]
  - Per the Lancaster Consensus, the 'file' subkey of a package listed in
    'provides' must refer to an actual file in the distribution, either the
    .pm file that provides the package or another file (*.PL) that
    generates it
  [BUGFIX]
  - Fix provides 'version' bug introduced in the 2.130870 fix
  [BUGFIX]
  - Don't add 'version' to 'provides' during conversion if one didn't
    exist in the original [Reported by Miyagawa; fixed by David Golden]
* Thu Oct 25 2012 opensuse@dstoecker.de
- fix build for older releases
* Thu May 31 2012 coolo@suse.com
- we need to use the package name explicitly because of version
  mismatch between perl and rpm
* Wed May 30 2012 coolo@suse.com
- updated to 2.120921
  [REMOVED]
  - CPAN::Meta::Requirements has been split out into its own distribution
    so it can be used by CPAN.pm without requiring all of CPAN::Meta
  [ADDED]
  - CPAN::Meta::Requirements now has a 'requirements_for_module' method
    to retrieve a version requirements string for a specific module
    [Leon Timmermans]
  [OTHER]
  - Parse::CPAN::Meta prerequisite bumped to 1.4403
  - JSON::PP prerequisites bumped to 2.27200
  - CPAN::Meta::YAML prerequisite bumped to 0.008
  [BUGFIX]
  - CPAN::Meta::Requirements now treats undef requirements given to
    from_string_hash() as '0' and warns about it; add_string_requirements()
    dies if it does not get a requirements string to parse
* Tue Mar  6 2012 coolo@suse.com
- updated to 2.120630
  [BUGFIX]
  - CPAN::Meta::Requirements now ensures that dotted-decimal versions are
    represented in normalized form when stringified.  This fixes a
    regression in META conversion in 2.120620.
    [Reported by Kent Fredric; fixed by David Golden]
  [ADDED]
  - CPAN::Meta::Requirements::add_string_requirements allows building
    a requirements specification piecemeal [Cory G. Watson]
  [BUGFIX]
  - Version range handling fixed [RT#75424]
  - CPAN::Meta::Converter handles bad version strings more gracefully,
    truncating alphanumerics and otherwise falling back to "0".  This
    is likely better than dropping a prerequisite or dying.
    [RT#75427]
* Thu Feb 23 2012 coolo@suse.com
- updated to 2.120530
  - Dialed back perl prereq to 5.006
* Sat Feb 11 2012 coolo@suse.com
- updated to 2.120351
  - Fixed CPAN packaging errors
  - Work around a memory leak bug involving version objects
    in boolean context.
* Mon Jan  9 2012 coolo@suse.com
- updated to 2.113640
  - Version::Requirements has now been merged as CPAN::Meta::Requirements,
    rendering Version::Requirements itself redundant
* Sun Dec 11 2011 coolo@suse.de
- updated to 2.112621
* Sun Jun  5 2011 lars@linux-schulserver.de
- fix build on distributions with old Test::More module
  ( perl-CPAN-Meta-use_lib.patch )
* Fri Apr 29 2011 coolo@opensuse.org
- regenerated with cpanspec
* Sun Apr  3 2011 coolo@novell.com
- updated to 2.110930
  - Fixed a bug in the 'as_string' method that checked the module version
    instead of the meta-spec version when conversion was requested
    (RT #67188)
* Fri Apr  1 2011 coolo@novell.com
- update to 2.110910
  - The 1.x spec "gpl" and "lgpl" and "mozilla" license values now up-convert
    to "open_source" because they indicate too non-specific a license.
  - Add explicit dependencies on JSON::PP and CPAN::Meta::YAML instead
    of relying on Parse::CPAN::Meta to provide them (as some CPAN Testers
    have had P::C::M installed without them somehow)
  - Removed dependency on Storable as it was not a core module
    until Perl 5.8
  - Added required field 'release_status' to the synopsis of
    CPAN::Meta::Spec (RT#66118) [Oliver Mengué]
  - Had two different Parse::CPAN::Meta requirements, one in 'requires' and
    the other in 'build_requires'. This confused some installers, so we
    only inlude the 'requires' now.
  ... for more see Changes
* Mon Jan 17 2011 coolo@novell.com
- initial package 2.102400
  * created by cpanspec 1.78.03
